<?php

$wp_customize->add_panel( 'billow_typography', array(
	'priority'       => 30,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __( 'Typography', 'billow' ),
) );

//-- BASE TYPOGRAPHY
$wp_customize->add_section( 'billow_base_typography' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Base Typography', 'billow'),
	'description'    => __( 'Several settings pertaining theme content area', 'billow' ),
	'panel'          => 'billow_typography',
) );

//-- billow_base_font
billow_customizer_add_typography( $wp_customize, 'billow_base_font', 'billow_base_typography', array(
	'billow_base_font' => __( 'Base Font Family', 'billow'),
) );

//-- HEADING TYPOGRAPHY
$wp_customize->add_section( 'billow_heading_typography' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Heading Typography (H1-H6)', 'billow'),
	'panel'          => 'billow_typography',
) );

//-- billow_heading1_font
billow_customizer_add_typography( $wp_customize, 'billow_heading1_font', 'billow_heading_typography', array(
	'billow_heading1_font' => __( 'H1 Font Family', 'billow'),
) );

//-- billow_heading2_font
billow_customizer_add_typography( $wp_customize, 'billow_heading2_font', 'billow_heading_typography', array(
	'billow_heading2_font' => __( 'H2 Font Family', 'billow'),
) );

//-- billow_heading3_font
billow_customizer_add_typography( $wp_customize, 'billow_heading3_font', 'billow_heading_typography', array(
	'billow_heading3_font' => __( 'H3 Font Family', 'billow'),
) );

//-- billow_heading4_font
billow_customizer_add_typography( $wp_customize, 'billow_heading4_font', 'billow_heading_typography', array(
	'billow_heading4_font' => __( 'H4 Font Family', 'billow'),
) );

//-- billow_heading5_font
billow_customizer_add_typography( $wp_customize, 'billow_heading5_font', 'billow_heading_typography', array(
	'billow_heading5_font' => __( 'H5 Font Family', 'billow'),
) );

//-- billow_heading6_font
billow_customizer_add_typography( $wp_customize, 'billow_heading6_font', 'billow_heading_typography', array(
	'billow_heading6_font' => __( 'H6 Font Family', 'billow'),
) );

//-- BUTTONS TYPOGRAPHY
$wp_customize->add_section( 'billow_button_typography' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Buttons Typography', 'billow'),
	'panel'          => 'billow_typography',
) );

//-- billow_button_font
billow_customizer_add_typography( $wp_customize, 'billow_button_font', 'billow_button_typography', array(
	'billow_button_font' => __( 'Buttons Font Family', 'billow'),
) );
