<?php

class Billow_Control_Reset_Customizer extends WP_Customize_Control {
	var $type = 'reset_customizer';
	public function enqueue() {
		wp_enqueue_script( 'billow-control-reset-customizer', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/control-reset-customizer/customizer.js', NULL, NULL, 'all' );
		wp_enqueue_style( 'billow-control-reset-customizer', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/control-reset-customizer/customizer.css', NULL, NULL, 'all' );

		wp_localize_script( 'control-reset-customizer', 'billow_customizer_reset', array(
			'confirm' => __( "This action cannot be undone, all theme customization will be removed.", 'billow' ),
			'nonce'   => wp_create_nonce( 'billow-customizer-reset' )
		) );
	}

	/**
	 * Render the control's content.
	 *
	 * @author soderlind
	 * @version 1.2.0
	 */
	public function render_content() {
				?>
					<h3 class="reset-customizer-title">
						<?php esc_html_e( 'Reset Customizer', 'billow' ) ?>
						<button type="button" class="button billow-reset-customizer" aria-label="<?php esc_attr_e( 'Reset Customizer', 'billow' ) ?>"><?php esc_html_e( 'Reset', 'billow' ) ?></button>
					</h3>
				<?php
	}
}


