/**
 * Customizer control area
 */

( function( $ ) {
	'use strict';
	wp.customize.bind( 'ready', function() {

		//-- billow_social_links_color
		wp.customize( 'billow_social_links_color', function( setting ) {
			var setStyle1;
			setStyle1 = function( control ) {
				var visibility = function() {
					if ( 'blw-social-icon-custom' === setting.get() ) {
						control.container.slideDown( 180 );
					} else {
						control.container.slideUp( 180 );
					}
				};

				visibility();
				setting.bind( visibility );
			}

			var styles_1;
			styles_1 = [
				'billow_social_links_color_custom',
				'billow_social_links_hover_color_custom'
			];

			$.each( styles_1, function(i,s){
				wp.customize.control( s, setStyle1 );
			});

			//---
			var setStyle2;
			setStyle2 = function( control ) {
				var visibility = function() {
					if ( 'blw-social-icon-official' === setting.get() ) {
						control.container.slideDown( 180 );
					} else {
						control.container.slideUp( 180 );
					}
				};

				visibility();
				setting.bind( visibility );
			}

			var styles_2;
			styles_2 = [];

			$.each( styles_2, function(i,s){
				wp.customize.control( s, setStyle2 );
			});
		});

		//-- billow_social_links_shape
		wp.customize( 'billow_social_links_shape', function( setting ) {
			var setStyle1;
			setStyle1 = function( control ) {
				var visibility = function() {
					if ( 'blw-social-icon-none' === setting.get() ) {
						control.container.slideDown( 180 );
					} else {
						control.container.slideUp( 180 );
					}
				};

				visibility();
				setting.bind( visibility );
			}

			var styles_1;
			styles_1 = [];
			$.each( styles_1, function(i,s){
				wp.customize.control( s, setStyle1 );
			});

			//---
			var setStyle2;
			setStyle2 = function( control ) {
				var visibility = function() {
					if ( 'blw-social-icon-rounded' === setting.get() ) {
						control.container.slideDown( 180 );
					} else {
						control.container.slideUp( 180 );
					}
				};

				visibility();
				setting.bind( visibility );
			}

			var styles_1;
			styles_1 = [
				'billow_social_links_rounded_bc_color',
				'billow_social_links_hover_rounded_bc_color'
			];
			$.each( styles_1, function(i,s){
				wp.customize.control( s, setStyle2 );
			});

			var setStyle3;
			setStyle3 = function( control ) {
				var visibility = function() {
					if ( 'blw-social-icon-square' === setting.get() ) {
						control.container.slideDown( 180 );
					} else {
						control.container.slideUp( 180 );
					}
				};

				visibility();
				setting.bind( visibility );
			}

			var styles_1;
			styles_1 = [
				'billow_social_links_square_bc_color',
				'billow_social_links_hover_square_bc_color'
			];
			$.each( styles_1, function(i,s){
				wp.customize.control( s, setStyle3 );
			});
		});
	});
} )( jQuery );
