<?php

$mobile_menu = 'menu-2';

// Fallback to main menu for AMP if mobile is missing
if ( ! has_nav_menu( 'menu-2' ) ) {
	$mobile_menu = 'menu-1';
}

?>

<div class="mobile-menu-container off" id="mobile-menu">

	<?php if ( has_nav_menu( $mobile_menu ) ): ?>

		<?php
		wp_nav_menu( array(
			'container'      => '',
			'menu_class'     => 'mobile-menu',
			'theme_location' => $mobile_menu,
			'items_wrap'     => '<ul id="primary-menu" class="%2$s">%3$s</ul>',
		) );
		?>

	<?php else: ?>

		<ul class="mobile-menu">
			<?php
			wp_nav_menu( array(
				'container'      => '',
				'menu_class'     => 'primary-mobile-menu',
				'theme_location' => $mobile_menu,
				'items_wrap'     => '<ul id="primary-menu" class="%2$s">%3$s</ul>',
			) );
			?>
		</ul>

	<?php endif;?>
</div>
